org.jbpm.process.audit.command

## Class AuditCommand<T>

- java.lang.Object
- - org.jbpm.process.audit.command.AuditCommand<T>

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<T>, org.kie.api.command.ExecutableCommand<T>
  Direct Known Subclasses:
    AuditNodeInstanceLogQueryCommand, AuditProcessInstanceLogQueryCommand, AuditVariableInstanceLogQueryCommand, ClearHistoryLogsCommand, FindActiveProcessInstancesCommand, FindNodeInstancesCommand, FindProcessInstanceCommand, FindProcessInstancesCommand, FindSubProcessInstancesCommand, FindVariableInstancesByNameCommand, FindVariableInstancesCommand

      public abstract class AuditCommand<T>
      extends Object
      implements org.kie.api.command.ExecutableCommand<T>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AuditLogService` | `auditLogService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuditCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setAuditLogService(AuditLogService auditLogService)`
    `protected void` | `setLogEnvironment(org.kie.api.runtime.Context cntxt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.command.ExecutableCommand

      `execute`

- - ### Field Detail

    - #### auditLogService

          protected AuditLogService auditLogService

  - ### Constructor Detail

    - #### AuditCommand

          public AuditCommand()

  - ### Method Detail

    - #### setAuditLogService

          public void setAuditLogService(AuditLogService auditLogService)

    - #### setLogEnvironment

          protected void setLogEnvironment(org.kie.api.runtime.Context cntxt)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.